OGRE: Ogre::DriverVersion Struct Reference - OGRE Documentation

Public Member Functions | Public Attributes

# Ogre::DriverVersion Struct Reference
[RenderSystem]

DriverVersion is used by RenderSystemCapabilities and both GL and D3D9 to store the version of the current GPU driver. More...

`#include <OgreRenderSystemCapabilities.h>`

List of all members.

## Public Member Functions
| DriverVersion ()
String | toString () const
void | fromString (const String &versionString)
## Public Attributes
int | major
int | minor
int | release
int | build

## Detailed Description

DriverVersion is used by RenderSystemCapabilities and both GL and D3D9 to store the version of the current GPU driver.

Definition at line 174 of file OgreRenderSystemCapabilities.h.

## Constructor & Destructor Documentation

Ogre::DriverVersion::DriverVersion | ( |  | ) |

Definition at line 181 of file OgreRenderSystemCapabilities.h.

## Member Function Documentation

void Ogre::DriverVersion::fromString | ( | const String & | versionString | ) |

Definition at line 193 of file OgreRenderSystemCapabilities.h.

References Ogre::StringConverter::parseInt(), and Ogre::StringUtil::split().

Referenced by Ogre::RenderSystemCapabilities::parseDriverVersionFromString().

String Ogre::DriverVersion::toString | ( |  | ) | const

Definition at line 186 of file OgreRenderSystemCapabilities.h.

## Member Data Documentation

int Ogre::DriverVersion::build

Definition at line 179 of file OgreRenderSystemCapabilities.h.

Referenced by Ogre::RenderSystemCapabilities::isDriverOlderThanVersion().

int Ogre::DriverVersion::major

Definition at line 176 of file OgreRenderSystemCapabilities.h.

Referenced by Ogre::RenderSystemCapabilities::isDriverOlderThanVersion().

int Ogre::DriverVersion::minor

Definition at line 177 of file OgreRenderSystemCapabilities.h.

Referenced by Ogre::RenderSystemCapabilities::isDriverOlderThanVersion().

int Ogre::DriverVersion::release

Definition at line 178 of file OgreRenderSystemCapabilities.h.

Referenced by Ogre::RenderSystemCapabilities::isDriverOlderThanVersion().

The documentation for this struct was generated from the following file:

- OgreRenderSystemCapabilities.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:59